Skip to main content
PUT
/
components
/
v1
/
offer-design
/
{externalId}
curl -X PUT \
  'https://api.appcharge.com/components/v1/offer-design/daily-bonus-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>' \
  --data '{
    "offerUiType": "PopUp",
    "offerUiSubType": "DailyBonus",
    "name": "Daily Bonus Design Updated",
    "externalId": "daily-bonus-design",
    "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png",
    "title": {
      "text": "Your daily bonus!",
      "fontColor": "#FFFFFF",
      "fontSize": 20,
      "fontWeight": "normal"
    }
  }'
{
  "id": "68cbf09967ba5ab776c2745e",
  "offerUiType": "PopUp",
  "offerUiSubType": "DailyBonus",
  "name": "Daily Bonus Design Updated",
  "externalId": "daily-bonus-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png",
  "title": {
    "text": "Your daily bonus!",
    "fontColor": "#FFFFFF",
    "fontSize": 20,
    "fontWeight": "normal"
  }
}
curl -X PUT \
  'https://api.appcharge.com/components/v1/offer-design/daily-bonus-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>' \
  --data '{
    "offerUiType": "PopUp",
    "offerUiSubType": "DailyBonus",
    "name": "Daily Bonus Design Updated",
    "externalId": "daily-bonus-design",
    "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png",
    "title": {
      "text": "Your daily bonus!",
      "fontColor": "#FFFFFF",
      "fontSize": 20,
      "fontWeight": "normal"
    }
  }'
{
  "id": "68cbf09967ba5ab776c2745e",
  "offerUiType": "PopUp",
  "offerUiSubType": "DailyBonus",
  "name": "Daily Bonus Design Updated",
  "externalId": "daily-bonus-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png",
  "title": {
    "text": "Your daily bonus!",
    "fontColor": "#FFFFFF",
    "fontSize": 20,
    "fontWeight": "normal"
  }
}

Authorizations

x-publisher-token
string
header
required

Publisher token, as displayed in the Publisher Dashboard.

Path Parameters

externalId
string
required

Design ID that you defined.

Body

application/json

Updates a daily bonus design.

offerUiType
enum<string>

Type of offer design.

Available options:
PopUp
Example:

"PopUp"

name
string

Offer design name.

Example:

"Daily Bonus Design Updated"

externalId
string

Design ID that you define.

Example:

"daily-bonus-design"

backgroundImageUrl
string<url>

Background image URL in PNG or JPEG format.

For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL. External image URLs are saved and used as-is, and Appcharge doesn't download, copy, upload, or host them. Images must remain available at the provided URLs.

We recommend uploading image files instead of using external URLs when possible.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png"

title
object
offerUiSubType
enum<string>

Popup design subtype.

Available options:
DailyBonus
Example:

"DailyBonus"

Response

Offer design updated successfully.

id
string

Design ID.

Example:

"68cbf09967ba5ab776c2745e"

offerUiType
enum<string>

Type of offer design.

Available options:
PopUp
Example:

"PopUp"

name
string

Offer design name.

Example:

"Daily Bonus Design Updated"

externalId
string

Design ID that you defined.

Example:

"daily-bonus-design"

backgroundImageUrl
string<url>

Background image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png"

title
object
externalBackgroundImageUrl
string<url>

Original background image URL when the design uses an external image URL. This URL is used as provided to serve the image.

Example:

"https://cdn.example.com/assets/background.png"

offerUiSubType
enum<string>

Popup design subtype.

Available options:
DailyBonus
Example:

"DailyBonus"